cdac.medinfo.sdk.hl7282.baselibs

## Class UVC

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.UVC

- All Implemented Interfaces:
    IDataType

      public class UVC
      extends CompositeDataType

  UVC - UB value code and amount

  This data type defines A code structure to relate amounts or values to identified data elements necessary to process this claim as qualified by the payer organization.

  Represents an HL7 UVC data type. This data type has the following attributes:

  1. Value Code (CWE)Required
  2. Value Amount (MO)Optional

  3. Non-Monetary Value Amount / Quantity (NM)Optional

  4. Non-Monetary Value Amount / Units (CWE)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UVC()` Default Constructor for UVC
    `UVC(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for UVC class which takes two arguments and sets the value in the respective member variable.
    `UVC(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for UVC class which takes five arguments and sets the value in the respective member variable.
    `UVC(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for UVC class which takes six arguments and sets the value in the respective member variable.
    `UVC(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for UVC class which takes four arguments and sets the value in the respective member variable.
    `UVC(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for UVC class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `CWE` | `getNonMonetaryValueAmounQuantity()` Returns Non-Monetary Value Amount / Quantity
    `CWE` | `getNonMonetaryValueAmountUnits()` Returns Non-Monetary Value Amount / Units
    `MO` | `getValueAmount()` Returns Value Amount
    `CWE` | `getValueCode()` Returns Value Code
    `void` | `setNonMonetaryValueAmountQuantity(NM objNM)` Sets the Non-Monetary Value Amount / Quantity.
    `void` | `setNonMonetaryValueAmountQuantity(java.lang.String strNonMonetaryValueAmount)` Sets the Non-Monetary Value Amount / Quantity.
    `void` | `setNonMonetaryValueAmountUnits(CWE objCWE)` Sets the Non-Monetary Value Amount / Units.
    `void` | `setNonMonetaryValueAmountUnits(java.lang.String strNonMonetaryValueAmountUnits)` Sets the Non-Monetary Value Amount / Units.
    `void` | `setValueAmount(MO objValueAmount)` Sets the ValueAmount.
    `void` | `setValueCode(CWE objValueCode)` Sets the ValueCode.
    `boolean` | `validate()` The Method validates the Input value,and if validated properly then returns true.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UVC

          public UVC()

      Default Constructor for UVC

    - #### UVC

          public UVC(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for UVC class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### UVC

          public UVC(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iTableNo,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for UVC class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### UVC

          public UVC(int iComponentType,
             IDataTypeMap objIDataTypeMap)

      Constructor for UVC class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### UVC

          public UVC(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             IDataTypeMap objIDataTypeMap)

      Constructor for UVC class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### UVC

          public UVC(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int ITableNo,
             IDataTypeMap objIDataTypeMap)

      Constructor for UVC class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setValueCode

          public void setValueCode(CWE objValueCode)

      Sets the ValueCode.
      Parameters:
        `objValueCode` - Specifies the National Uniform Billing Committee (NUBC) code itself.

    - #### setValueAmount

          public void setValueAmount(MO objValueAmount)

      Sets the ValueAmount.
      Parameters:
        `objValueAmount` - Specifies the numeric amount when needed to pair with the value.

    - #### setNonMonetaryValueAmountQuantity

          public void setNonMonetaryValueAmountQuantity(java.lang.String strNonMonetaryValueAmount)

      Sets the Non-Monetary Value Amount / Quantity.
      Parameters:
        `strNonMonetaryValueAmount` - Specifies the Numeric Amount.

    - #### setNonMonetaryValueAmountQuantity

          public void setNonMonetaryValueAmountQuantity(NM objNM)

      Sets the Non-Monetary Value Amount / Quantity.
      Parameters:
        `objNM` - Specifies the Numeric Amount.

    - #### setNonMonetaryValueAmountUnits

          public void setNonMonetaryValueAmountUnits(java.lang.String strNonMonetaryValueAmountUnits)

      Sets the Non-Monetary Value Amount / Units.
      Parameters:
        `strNonMonetaryValueAmount` - Specifies the Numeric Unit.

    - #### setNonMonetaryValueAmountUnits

          public void setNonMonetaryValueAmountUnits(CWE objCWE)

      Sets the Non-Monetary Value Amount / Units.
      Parameters:
        `objCWE` - Specifies the Numeric Amount.

    - #### getValueCode

          public CWE getValueCode()

      Returns Value Code
      Returns:
        CWE - data type.

    - #### getValueAmount

          public MO getValueAmount()

      Returns Value Amount
      Returns:
        MO - data type.

    - #### getNonMonetaryValueAmounQuantity

          public CWE getNonMonetaryValueAmounQuantity()

      Returns Non-Monetary Value Amount / Quantity
      Returns:
        CWE - data type.

    - #### getNonMonetaryValueAmountUnits

          public CWE getNonMonetaryValueAmountUnits()

      Returns Non-Monetary Value Amount / Units
      Returns:
        CWE - data type.

    - #### validate

          public boolean validate()
                           throws InvalidDataTypeException

      The Method validates the Input value,and if validated properly then returns true. Here the validetion is based on the compulsory fields for the Datatype.
      Specified by:
        `validate` in interface `IDataType`
      Overrides:
        `validate` in class `CompositeDataType`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidDataTypeException` - - if Invalid values is entered or Mandatory field is missing.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.